# $Id: $

package Post2Buffer::Util;

use strict;
use warnings;
use base 'Exporter';
our @EXPORT = qw( doLog saveFile );

sub doLog {
    my ($msg) = @_;
    return unless defined($msg);

    my ( $sec, $min, $hour, $mday, $month, $year, $wday, $stime ) = localtime(time);

    my $logmsg
        = sprintf( "\[%04d\-%02d\-%02d %02d\:%02d\:%02d\] %s", $year + 1900, $month + 1, $mday, $hour, $min, $sec, $msg );

    use MT::Log;
    my $log = MT::Log->new;
    $log->level( MT::Log::DEBUG() );
    $log->message($logmsg);
    $log->save or die $log->errstr;
}

sub saveFile {
    my ($msg) = @_;
    return unless defined($msg);

    my ( $sec, $min, $hour, $mday, $month, $year, $wday, $stime ) = localtime(time);

    my $logmsg
        = sprintf( "\[%04d\-%02d\-%02d %02d\:%02d\:%02d\] %s\n", $year + 1900, $month + 1, $mday, $hour, $min, $sec, $msg );

    my $dir_base = MT->config('SupportDirectoryPath');
    if ( $dir_base eq '' ) {
        $dir_base = File::Spec->catdir( MT->config('StaticFilePath'), 'support' );
    }

    my $fname = sprintf( "debug\-%04d%02d%02d\.log", $year + 1900, $month + 1, $mday );
    my $dir = File::Spec->catdir( $dir_base, 'debug' );

    use MT::FileMgr::Local;
    MT::FileMgr::Local->mkpath($dir);

    my $path = File::Spec->catfile( $dir, $fname );

    open( my $fh, ">>", $path ) or die;
    print $fh $logmsg;
    close $fh;
}

1;
